package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@Controller
public class ExampleController {

    @RequestMapping("/test")
    public String handleRequest () throws Exception {
        throw new IllegalAccessException();
    }

    /**
     * This will throw MissingPathVariableException with response code 500
     * because id != testId
     */
    @RequestMapping("/test/{id}")
    @ResponseBody
    public String handleRequest2 (@PathVariable("testId") String id) throws Exception {
        return "testId: " + id;
    }

    @RequestMapping("/test2")
    public void handleRequest3 () throws Exception {
        throw new Exception("test exception 2");
    }

    @ExceptionHandler
    @ResponseBody
    public String handleException (IllegalAccessException b) {
        return "from @ExceptionHandler: " + b;
    }
}